1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. OvaV2
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg

    Creates an OVA using the provided request body. The name and source are mandatory fields to create an OVA.

    Create OvaV2 Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new OvaV2(name: string, args: OvaV2Args, opts?: CustomResourceOptions);
    @overload
    def OvaV2(resource_name: str,
              args: OvaV2Args,
              opts: Optional[ResourceOptions] = None)
    
    @overload
    def OvaV2(resource_name: str,
              opts: Optional[ResourceOptions] = None,
              sources: Optional[Sequence[OvaV2SourceArgs]] = None,
              checksum: Optional[OvaV2ChecksumArgs] = None,
              cluster_location_ext_ids: Optional[Sequence[str]] = None,
              disk_format: Optional[str] = None,
              name: Optional[str] = None)
    func NewOvaV2(ctx *Context, name string, args OvaV2Args, opts ...ResourceOption) (*OvaV2, error)
    public OvaV2(string name, OvaV2Args args, CustomResourceOptions? opts = null)
    public OvaV2(String name, OvaV2Args args)
    public OvaV2(String name, OvaV2Args args, CustomResourceOptions options)
    
    type: nutanix:OvaV2
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "nutanix_ovav2" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args OvaV2Args
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args OvaV2Args
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args OvaV2Args
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args OvaV2Args
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args OvaV2Args
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var ovaV2Resource = new Nutanix.OvaV2("ovaV2Resource", new()
    {
        Sources = new[]
        {
            new Nutanix.Inputs.OvaV2SourceArgs
            {
                ObjectLiteSources = new[]
                {
                    new Nutanix.Inputs.OvaV2SourceObjectLiteSourceArgs
                    {
                        Key = "string",
                    },
                },
                OvaUrlSources = new[]
                {
                    new Nutanix.Inputs.OvaV2SourceOvaUrlSourceArgs
                    {
                        Url = "string",
                        BasicAuths = new[]
                        {
                            new Nutanix.Inputs.OvaV2SourceOvaUrlSourceBasicAuthArgs
                            {
                                Password = "string",
                                Username = "string",
                            },
                        },
                        ShouldAllowInsecureUrl = false,
                    },
                },
                OvaVmSources = new[]
                {
                    new Nutanix.Inputs.OvaV2SourceOvaVmSourceArgs
                    {
                        DiskFileFormat = "string",
                        VmExtId = "string",
                    },
                },
            },
        },
        Checksum = new Nutanix.Inputs.OvaV2ChecksumArgs
        {
            OvaSha1Checksums = new[]
            {
                new Nutanix.Inputs.OvaV2ChecksumOvaSha1ChecksumArgs
                {
                    HexDigest = "string",
                },
            },
            OvaSha256Checksums = new[]
            {
                new Nutanix.Inputs.OvaV2ChecksumOvaSha256ChecksumArgs
                {
                    HexDigest = "string",
                },
            },
        },
        ClusterLocationExtIds = new[]
        {
            "string",
        },
        DiskFormat = "string",
        Name = "string",
    });
    
    example, err := nutanix.NewOvaV2(ctx, "ovaV2Resource", &nutanix.OvaV2Args{
    	Sources: nutanix.OvaV2SourceArray{
    		&nutanix.OvaV2SourceArgs{
    			ObjectLiteSources: nutanix.OvaV2SourceObjectLiteSourceArray{
    				&nutanix.OvaV2SourceObjectLiteSourceArgs{
    					Key: pulumi.String("string"),
    				},
    			},
    			OvaUrlSources: nutanix.OvaV2SourceOvaUrlSourceArray{
    				&nutanix.OvaV2SourceOvaUrlSourceArgs{
    					Url: pulumi.String("string"),
    					BasicAuths: nutanix.OvaV2SourceOvaUrlSourceBasicAuthArray{
    						&nutanix.OvaV2SourceOvaUrlSourceBasicAuthArgs{
    							Password: pulumi.String("string"),
    							Username: pulumi.String("string"),
    						},
    					},
    					ShouldAllowInsecureUrl: pulumi.Bool(false),
    				},
    			},
    			OvaVmSources: nutanix.OvaV2SourceOvaVmSourceArray{
    				&nutanix.OvaV2SourceOvaVmSourceArgs{
    					DiskFileFormat: pulumi.String("string"),
    					VmExtId:        pulumi.String("string"),
    				},
    			},
    		},
    	},
    	Checksum: &nutanix.OvaV2ChecksumArgs{
    		OvaSha1Checksums: nutanix.OvaV2ChecksumOvaSha1ChecksumArray{
    			&nutanix.OvaV2ChecksumOvaSha1ChecksumArgs{
    				HexDigest: pulumi.String("string"),
    			},
    		},
    		OvaSha256Checksums: nutanix.OvaV2ChecksumOvaSha256ChecksumArray{
    			&nutanix.OvaV2ChecksumOvaSha256ChecksumArgs{
    				HexDigest: pulumi.String("string"),
    			},
    		},
    	},
    	ClusterLocationExtIds: pulumi.StringArray{
    		pulumi.String("string"),
    	},
    	DiskFormat: pulumi.String("string"),
    	Name:       pulumi.String("string"),
    })
    
    resource "nutanix_ovav2" "ovaV2Resource" {
      sources {
        object_lite_sources {
          key = "string"
        }
        ova_url_sources {
          url = "string"
          basic_auths {
            password = "string"
            username = "string"
          }
          should_allow_insecure_url = false
        }
        ova_vm_sources {
          disk_file_format = "string"
          vm_ext_id        = "string"
        }
      }
      checksum = {
        ova_sha1_checksums = [{
          "hexDigest" = "string"
        }]
        ova_sha256_checksums = [{
          "hexDigest" = "string"
        }]
      }
      cluster_location_ext_ids = ["string"]
      disk_format              = "string"
      name                     = "string"
    }
    
    var ovaV2Resource = new OvaV2("ovaV2Resource", OvaV2Args.builder()
        .sources(OvaV2SourceArgs.builder()
            .objectLiteSources(OvaV2SourceObjectLiteSourceArgs.builder()
                .key("string")
                .build())
            .ovaUrlSources(OvaV2SourceOvaUrlSourceArgs.builder()
                .url("string")
                .basicAuths(OvaV2SourceOvaUrlSourceBasicAuthArgs.builder()
                    .password("string")
                    .username("string")
                    .build())
                .shouldAllowInsecureUrl(false)
                .build())
            .ovaVmSources(OvaV2SourceOvaVmSourceArgs.builder()
                .diskFileFormat("string")
                .vmExtId("string")
                .build())
            .build())
        .checksum(OvaV2ChecksumArgs.builder()
            .ovaSha1Checksums(OvaV2ChecksumOvaSha1ChecksumArgs.builder()
                .hexDigest("string")
                .build())
            .ovaSha256Checksums(OvaV2ChecksumOvaSha256ChecksumArgs.builder()
                .hexDigest("string")
                .build())
            .build())
        .clusterLocationExtIds("string")
        .diskFormat("string")
        .name("string")
        .build());
    
    ova_v2_resource = nutanix.OvaV2("ovaV2Resource",
        sources=[{
            "object_lite_sources": [{
                "key": "string",
            }],
            "ova_url_sources": [{
                "url": "string",
                "basic_auths": [{
                    "password": "string",
                    "username": "string",
                }],
                "should_allow_insecure_url": False,
            }],
            "ova_vm_sources": [{
                "disk_file_format": "string",
                "vm_ext_id": "string",
            }],
        }],
        checksum={
            "ova_sha1_checksums": [{
                "hex_digest": "string",
            }],
            "ova_sha256_checksums": [{
                "hex_digest": "string",
            }],
        },
        cluster_location_ext_ids=["string"],
        disk_format="string",
        name="string")
    
    const ovaV2Resource = new nutanix.OvaV2("ovaV2Resource", {
        sources: [{
            objectLiteSources: [{
                key: "string",
            }],
            ovaUrlSources: [{
                url: "string",
                basicAuths: [{
                    password: "string",
                    username: "string",
                }],
                shouldAllowInsecureUrl: false,
            }],
            ovaVmSources: [{
                diskFileFormat: "string",
                vmExtId: "string",
            }],
        }],
        checksum: {
            ovaSha1Checksums: [{
                hexDigest: "string",
            }],
            ovaSha256Checksums: [{
                hexDigest: "string",
            }],
        },
        clusterLocationExtIds: ["string"],
        diskFormat: "string",
        name: "string",
    });
    
    type: nutanix:OvaV2
    properties:
        checksum:
            ovaSha1Checksums:
                - hexDigest: string
            ovaSha256Checksums:
                - hexDigest: string
        clusterLocationExtIds:
            - string
        diskFormat: string
        name: string
        sources:
            - objectLiteSources:
                - key: string
              ovaUrlSources:
                - basicAuths:
                    - password: string
                      username: string
                  shouldAllowInsecureUrl: false
                  url: string
              ovaVmSources:
                - diskFileFormat: string
                  vmExtId: string
    

    OvaV2 Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The OvaV2 resource accepts the following input properties:

    Sources List<PiersKarsenbarg.Nutanix.Inputs.OvaV2Source>
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    Checksum PiersKarsenbarg.Nutanix.Inputs.OvaV2Checksum
    -(Optional) The checksum of an OVA.
    ClusterLocationExtIds List<string>
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    DiskFormat string
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    Name string
    -(Required) Name of the OVA.
    Sources []OvaV2SourceArgs
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    Checksum OvaV2ChecksumArgs
    -(Optional) The checksum of an OVA.
    ClusterLocationExtIds []string
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    DiskFormat string
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    Name string
    -(Required) Name of the OVA.
    sources list(object)
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    checksum object
    -(Optional) The checksum of an OVA.
    cluster_location_ext_ids list(string)
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    disk_format string
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    name string
    -(Required) Name of the OVA.
    sources List<OvaV2Source>
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    checksum OvaV2Checksum
    -(Optional) The checksum of an OVA.
    clusterLocationExtIds List<String>
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    diskFormat String
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    name String
    -(Required) Name of the OVA.
    sources OvaV2Source[]
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    checksum OvaV2Checksum
    -(Optional) The checksum of an OVA.
    clusterLocationExtIds string[]
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    diskFormat string
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    name string
    -(Required) Name of the OVA.
    sources Sequence[OvaV2SourceArgs]
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    checksum OvaV2ChecksumArgs
    -(Optional) The checksum of an OVA.
    cluster_location_ext_ids Sequence[str]
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    disk_format str
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    name str
    -(Required) Name of the OVA.
    sources List<Property Map>
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    checksum Property Map
    -(Optional) The checksum of an OVA.
    clusterLocationExtIds List<String>
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    diskFormat String
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    name String
    -(Required) Name of the OVA.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the OvaV2 resource produces the following output properties:

    CreateTime string
    CreatedBies List<PiersKarsenbarg.Nutanix.Outputs.OvaV2CreatedBy>
    -(Optional) Information of the user.
    ExtId string
    Id string
    The provider-assigned unique ID for this managed resource.
    LastUpdateTime string
    Links List<PiersKarsenbarg.Nutanix.Outputs.OvaV2Link>
    ParentVm string
    SizeBytes int
    TenantId string
    VmConfigs List<PiersKarsenbarg.Nutanix.Outputs.OvaV2VmConfig>
    -(Optional) VM configuration.
    CreateTime string
    CreatedBies []OvaV2CreatedBy
    -(Optional) Information of the user.
    ExtId string
    Id string
    The provider-assigned unique ID for this managed resource.
    LastUpdateTime string
    Links []OvaV2Link
    ParentVm string
    SizeBytes int
    TenantId string
    VmConfigs []OvaV2VmConfig
    -(Optional) VM configuration.
    create_time string
    created_bies list(object)
    -(Optional) Information of the user.
    ext_id string
    id string
    The provider-assigned unique ID for this managed resource.
    last_update_time string
    links list(object)
    parent_vm string
    size_bytes number
    tenant_id string
    vm_configs list(object)
    -(Optional) VM configuration.
    createTime String
    createdBies List<OvaV2CreatedBy>
    -(Optional) Information of the user.
    extId String
    id String
    The provider-assigned unique ID for this managed resource.
    lastUpdateTime String
    links List<OvaV2Link>
    parentVm String
    sizeBytes Integer
    tenantId String
    vmConfigs List<OvaV2VmConfig>
    -(Optional) VM configuration.
    createTime string
    createdBies OvaV2CreatedBy[]
    -(Optional) Information of the user.
    extId string
    id string
    The provider-assigned unique ID for this managed resource.
    lastUpdateTime string
    links OvaV2Link[]
    parentVm string
    sizeBytes number
    tenantId string
    vmConfigs OvaV2VmConfig[]
    -(Optional) VM configuration.
    create_time str
    created_bies Sequence[OvaV2CreatedBy]
    -(Optional) Information of the user.
    ext_id str
    id str
    The provider-assigned unique ID for this managed resource.
    last_update_time str
    links Sequence[OvaV2Link]
    parent_vm str
    size_bytes int
    tenant_id str
    vm_configs Sequence[OvaV2VmConfig]
    -(Optional) VM configuration.
    createTime String
    createdBies List<Property Map>
    -(Optional) Information of the user.
    extId String
    id String
    The provider-assigned unique ID for this managed resource.
    lastUpdateTime String
    links List<Property Map>
    parentVm String
    sizeBytes Number
    tenantId String
    vmConfigs List<Property Map>
    -(Optional) VM configuration.

    Look up Existing OvaV2 Resource

    Get an existing OvaV2 resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: OvaV2State, opts?: CustomResourceOptions): OvaV2
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            checksum: Optional[OvaV2ChecksumArgs] = None,
            cluster_location_ext_ids: Optional[Sequence[str]] = None,
            create_time: Optional[str] = None,
            created_bies: Optional[Sequence[OvaV2CreatedByArgs]] = None,
            disk_format: Optional[str] = None,
            ext_id: Optional[str] = None,
            last_update_time: Optional[str] = None,
            links: Optional[Sequence[OvaV2LinkArgs]] = None,
            name: Optional[str] = None,
            parent_vm: Optional[str] = None,
            size_bytes: Optional[int] = None,
            sources: Optional[Sequence[OvaV2SourceArgs]] = None,
            tenant_id: Optional[str] = None,
            vm_configs: Optional[Sequence[OvaV2VmConfigArgs]] = None) -> OvaV2
    func GetOvaV2(ctx *Context, name string, id IDInput, state *OvaV2State, opts ...ResourceOption) (*OvaV2, error)
    public static OvaV2 Get(string name, Input<string> id, OvaV2State? state, CustomResourceOptions? opts = null)
    public static OvaV2 get(String name, Output<String> id, OvaV2State state, CustomResourceOptions options)
    resources:  _:    type: nutanix:OvaV2    get:      id: ${id}
    import {
      to = nutanix_ovav2.example
      id = "${id}"
    }
    
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    Checksum PiersKarsenbarg.Nutanix.Inputs.OvaV2Checksum
    -(Optional) The checksum of an OVA.
    ClusterLocationExtIds List<string>
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    CreateTime string
    CreatedBies List<PiersKarsenbarg.Nutanix.Inputs.OvaV2CreatedBy>
    -(Optional) Information of the user.
    DiskFormat string
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    ExtId string
    LastUpdateTime string
    Links List<PiersKarsenbarg.Nutanix.Inputs.OvaV2Link>
    Name string
    -(Required) Name of the OVA.
    ParentVm string
    SizeBytes int
    Sources List<PiersKarsenbarg.Nutanix.Inputs.OvaV2Source>
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    TenantId string
    VmConfigs List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfig>
    -(Optional) VM configuration.
    Checksum OvaV2ChecksumArgs
    -(Optional) The checksum of an OVA.
    ClusterLocationExtIds []string
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    CreateTime string
    CreatedBies []OvaV2CreatedByArgs
    -(Optional) Information of the user.
    DiskFormat string
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    ExtId string
    LastUpdateTime string
    Links []OvaV2LinkArgs
    Name string
    -(Required) Name of the OVA.
    ParentVm string
    SizeBytes int
    Sources []OvaV2SourceArgs
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    TenantId string
    VmConfigs []OvaV2VmConfigArgs
    -(Optional) VM configuration.
    checksum object
    -(Optional) The checksum of an OVA.
    cluster_location_ext_ids list(string)
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    create_time string
    created_bies list(object)
    -(Optional) Information of the user.
    disk_format string
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    ext_id string
    last_update_time string
    links list(object)
    name string
    -(Required) Name of the OVA.
    parent_vm string
    size_bytes number
    sources list(object)
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    tenant_id string
    vm_configs list(object)
    -(Optional) VM configuration.
    checksum OvaV2Checksum
    -(Optional) The checksum of an OVA.
    clusterLocationExtIds List<String>
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    createTime String
    createdBies List<OvaV2CreatedBy>
    -(Optional) Information of the user.
    diskFormat String
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    extId String
    lastUpdateTime String
    links List<OvaV2Link>
    name String
    -(Required) Name of the OVA.
    parentVm String
    sizeBytes Integer
    sources List<OvaV2Source>
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    tenantId String
    vmConfigs List<OvaV2VmConfig>
    -(Optional) VM configuration.
    checksum OvaV2Checksum
    -(Optional) The checksum of an OVA.
    clusterLocationExtIds string[]
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    createTime string
    createdBies OvaV2CreatedBy[]
    -(Optional) Information of the user.
    diskFormat string
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    extId string
    lastUpdateTime string
    links OvaV2Link[]
    name string
    -(Required) Name of the OVA.
    parentVm string
    sizeBytes number
    sources OvaV2Source[]
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    tenantId string
    vmConfigs OvaV2VmConfig[]
    -(Optional) VM configuration.
    checksum OvaV2ChecksumArgs
    -(Optional) The checksum of an OVA.
    cluster_location_ext_ids Sequence[str]
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    create_time str
    created_bies Sequence[OvaV2CreatedByArgs]
    -(Optional) Information of the user.
    disk_format str
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    ext_id str
    last_update_time str
    links Sequence[OvaV2LinkArgs]
    name str
    -(Required) Name of the OVA.
    parent_vm str
    size_bytes int
    sources Sequence[OvaV2SourceArgs]
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    tenant_id str
    vm_configs Sequence[OvaV2VmConfigArgs]
    -(Optional) VM configuration.
    checksum Property Map
    -(Optional) The checksum of an OVA.
    clusterLocationExtIds List<String>
    -(Optional) List of cluster identifiers where the OVA is located. This field is required when creating an OVA from URL or Objects lite upload. its mandatory when creating an OVA from URL or object lite source .
    createTime String
    createdBies List<Property Map>
    -(Optional) Information of the user.
    diskFormat String
    -(Optional) Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    extId String
    lastUpdateTime String
    links List<Property Map>
    name String
    -(Required) Name of the OVA.
    parentVm String
    sizeBytes Number
    sources List<Property Map>
    -(Required) Source of the created OVA file. The source can either be a VM, URL, or a local upload.
    tenantId String
    vmConfigs List<Property Map>
    -(Optional) VM configuration.

    Supporting Types

    OvaV2Checksum, OvaV2ChecksumArgs

    OvaSha1Checksums []OvaV2ChecksumOvaSha1Checksum
    -(Optional) The SHA1 checksum of the OVA file.
    OvaSha256Checksums []OvaV2ChecksumOvaSha256Checksum
    -(Optional) The SHA256 checksum of the OVA file.
    ova_sha1_checksums list(object)
    -(Optional) The SHA1 checksum of the OVA file.
    ova_sha256_checksums list(object)
    -(Optional) The SHA256 checksum of the OVA file.
    ovaSha1Checksums List<OvaV2ChecksumOvaSha1Checksum>
    -(Optional) The SHA1 checksum of the OVA file.
    ovaSha256Checksums List<OvaV2ChecksumOvaSha256Checksum>
    -(Optional) The SHA256 checksum of the OVA file.
    ovaSha1Checksums OvaV2ChecksumOvaSha1Checksum[]
    -(Optional) The SHA1 checksum of the OVA file.
    ovaSha256Checksums OvaV2ChecksumOvaSha256Checksum[]
    -(Optional) The SHA256 checksum of the OVA file.
    ova_sha1_checksums Sequence[OvaV2ChecksumOvaSha1Checksum]
    -(Optional) The SHA1 checksum of the OVA file.
    ova_sha256_checksums Sequence[OvaV2ChecksumOvaSha256Checksum]
    -(Optional) The SHA256 checksum of the OVA file.
    ovaSha1Checksums List<Property Map>
    -(Optional) The SHA1 checksum of the OVA file.
    ovaSha256Checksums List<Property Map>
    -(Optional) The SHA256 checksum of the OVA file.

    OvaV2ChecksumOvaSha1Checksum, OvaV2ChecksumOvaSha1ChecksumArgs

    HexDigest string
    -(Required) The hexadecimal representation of the checksum.
    HexDigest string
    -(Required) The hexadecimal representation of the checksum.
    hex_digest string
    -(Required) The hexadecimal representation of the checksum.
    hexDigest String
    -(Required) The hexadecimal representation of the checksum.
    hexDigest string
    -(Required) The hexadecimal representation of the checksum.
    hex_digest str
    -(Required) The hexadecimal representation of the checksum.
    hexDigest String
    -(Required) The hexadecimal representation of the checksum.

    OvaV2ChecksumOvaSha256Checksum, OvaV2ChecksumOvaSha256ChecksumArgs

    HexDigest string
    -(Required) The hexadecimal representation of the checksum.
    HexDigest string
    -(Required) The hexadecimal representation of the checksum.
    hex_digest string
    -(Required) The hexadecimal representation of the checksum.
    hexDigest String
    -(Required) The hexadecimal representation of the checksum.
    hexDigest string
    -(Required) The hexadecimal representation of the checksum.
    hex_digest str
    -(Required) The hexadecimal representation of the checksum.
    hexDigest String
    -(Required) The hexadecimal representation of the checksum.

    OvaV2CreatedBy, OvaV2CreatedByArgs

    AdditionalAttributes List<PiersKarsenbarg.Nutanix.Inputs.OvaV2CreatedByAdditionalAttribute>
    -(Optional) Any additional attribute for the User.
    CreationType string
    -(Optional) Creation type of the User. |ENUM |Description | |---|---| | PREDEFINED | Predefined creator workflow type is for entity created by the system. | | SERVICEDEFINED | Service defined creator workflow type is for entity created by the service. | | USERDEFINED | User defined creator workflow type is for entity created by the users. |
    Description string
    -(Optional) Description of the User.
    DisplayName string
    -(Optional) Display name for the User.
    EmailId string
    -(Optional) Email Id for the User.
    ExtId string
    FirstName string
    -(Optional) First name for the User.
    IdpId string
    -(Optional) Identifier of the IDP for the User.
    IsForceResetPasswordEnabled bool
    -(Optional) Flag to force the User to reset password.
    LastName string
    -(Optional) Last name for the User.
    Links List<PiersKarsenbarg.Nutanix.Inputs.OvaV2CreatedByLink>
    Locale string
    -(Optional) Default locale for the User.
    MiddleInitial string
    -(Optional) Middle name for the User.
    Password string
    -(Optional) Password of the user.
    Region string
    -(Optional) Default Region for the User.
    Status string
    -(Optional) Status of the User.
    TenantId string
    UserType string
    -(Required) Type of the User.
    Username string
    -(Required) Identifier for the User in the form an email address.
    AdditionalAttributes []OvaV2CreatedByAdditionalAttribute
    -(Optional) Any additional attribute for the User.
    CreationType string
    -(Optional) Creation type of the User. |ENUM |Description | |---|---| | PREDEFINED | Predefined creator workflow type is for entity created by the system. | | SERVICEDEFINED | Service defined creator workflow type is for entity created by the service. | | USERDEFINED | User defined creator workflow type is for entity created by the users. |
    Description string
    -(Optional) Description of the User.
    DisplayName string
    -(Optional) Display name for the User.
    EmailId string
    -(Optional) Email Id for the User.
    ExtId string
    FirstName string
    -(Optional) First name for the User.
    IdpId string
    -(Optional) Identifier of the IDP for the User.
    IsForceResetPasswordEnabled bool
    -(Optional) Flag to force the User to reset password.
    LastName string
    -(Optional) Last name for the User.
    Links []OvaV2CreatedByLink
    Locale string
    -(Optional) Default locale for the User.
    MiddleInitial string
    -(Optional) Middle name for the User.
    Password string
    -(Optional) Password of the user.
    Region string
    -(Optional) Default Region for the User.
    Status string
    -(Optional) Status of the User.
    TenantId string
    UserType string
    -(Required) Type of the User.
    Username string
    -(Required) Identifier for the User in the form an email address.
    additional_attributes list(object)
    -(Optional) Any additional attribute for the User.
    creation_type string
    -(Optional) Creation type of the User. |ENUM |Description | |---|---| | PREDEFINED | Predefined creator workflow type is for entity created by the system. | | SERVICEDEFINED | Service defined creator workflow type is for entity created by the service. | | USERDEFINED | User defined creator workflow type is for entity created by the users. |
    description string
    -(Optional) Description of the User.
    display_name string
    -(Optional) Display name for the User.
    email_id string
    -(Optional) Email Id for the User.
    ext_id string
    first_name string
    -(Optional) First name for the User.
    idp_id string
    -(Optional) Identifier of the IDP for the User.
    is_force_reset_password_enabled bool
    -(Optional) Flag to force the User to reset password.
    last_name string
    -(Optional) Last name for the User.
    links list(object)
    locale string
    -(Optional) Default locale for the User.
    middle_initial string
    -(Optional) Middle name for the User.
    password string
    -(Optional) Password of the user.
    region string
    -(Optional) Default Region for the User.
    status string
    -(Optional) Status of the User.
    tenant_id string
    user_type string
    -(Required) Type of the User.
    username string
    -(Required) Identifier for the User in the form an email address.
    additionalAttributes List<OvaV2CreatedByAdditionalAttribute>
    -(Optional) Any additional attribute for the User.
    creationType String
    -(Optional) Creation type of the User. |ENUM |Description | |---|---| | PREDEFINED | Predefined creator workflow type is for entity created by the system. | | SERVICEDEFINED | Service defined creator workflow type is for entity created by the service. | | USERDEFINED | User defined creator workflow type is for entity created by the users. |
    description String
    -(Optional) Description of the User.
    displayName String
    -(Optional) Display name for the User.
    emailId String
    -(Optional) Email Id for the User.
    extId String
    firstName String
    -(Optional) First name for the User.
    idpId String
    -(Optional) Identifier of the IDP for the User.
    isForceResetPasswordEnabled Boolean
    -(Optional) Flag to force the User to reset password.
    lastName String
    -(Optional) Last name for the User.
    links List<OvaV2CreatedByLink>
    locale String
    -(Optional) Default locale for the User.
    middleInitial String
    -(Optional) Middle name for the User.
    password String
    -(Optional) Password of the user.
    region String
    -(Optional) Default Region for the User.
    status String
    -(Optional) Status of the User.
    tenantId String
    userType String
    -(Required) Type of the User.
    username String
    -(Required) Identifier for the User in the form an email address.
    additionalAttributes OvaV2CreatedByAdditionalAttribute[]
    -(Optional) Any additional attribute for the User.
    creationType string
    -(Optional) Creation type of the User. |ENUM |Description | |---|---| | PREDEFINED | Predefined creator workflow type is for entity created by the system. | | SERVICEDEFINED | Service defined creator workflow type is for entity created by the service. | | USERDEFINED | User defined creator workflow type is for entity created by the users. |
    description string
    -(Optional) Description of the User.
    displayName string
    -(Optional) Display name for the User.
    emailId string
    -(Optional) Email Id for the User.
    extId string
    firstName string
    -(Optional) First name for the User.
    idpId string
    -(Optional) Identifier of the IDP for the User.
    isForceResetPasswordEnabled boolean
    -(Optional) Flag to force the User to reset password.
    lastName string
    -(Optional) Last name for the User.
    links OvaV2CreatedByLink[]
    locale string
    -(Optional) Default locale for the User.
    middleInitial string
    -(Optional) Middle name for the User.
    password string
    -(Optional) Password of the user.
    region string
    -(Optional) Default Region for the User.
    status string
    -(Optional) Status of the User.
    tenantId string
    userType string
    -(Required) Type of the User.
    username string
    -(Required) Identifier for the User in the form an email address.
    additional_attributes Sequence[OvaV2CreatedByAdditionalAttribute]
    -(Optional) Any additional attribute for the User.
    creation_type str
    -(Optional) Creation type of the User. |ENUM |Description | |---|---| | PREDEFINED | Predefined creator workflow type is for entity created by the system. | | SERVICEDEFINED | Service defined creator workflow type is for entity created by the service. | | USERDEFINED | User defined creator workflow type is for entity created by the users. |
    description str
    -(Optional) Description of the User.
    display_name str
    -(Optional) Display name for the User.
    email_id str
    -(Optional) Email Id for the User.
    ext_id str
    first_name str
    -(Optional) First name for the User.
    idp_id str
    -(Optional) Identifier of the IDP for the User.
    is_force_reset_password_enabled bool
    -(Optional) Flag to force the User to reset password.
    last_name str
    -(Optional) Last name for the User.
    links Sequence[OvaV2CreatedByLink]
    locale str
    -(Optional) Default locale for the User.
    middle_initial str
    -(Optional) Middle name for the User.
    password str
    -(Optional) Password of the user.
    region str
    -(Optional) Default Region for the User.
    status str
    -(Optional) Status of the User.
    tenant_id str
    user_type str
    -(Required) Type of the User.
    username str
    -(Required) Identifier for the User in the form an email address.
    additionalAttributes List<Property Map>
    -(Optional) Any additional attribute for the User.
    creationType String
    -(Optional) Creation type of the User. |ENUM |Description | |---|---| | PREDEFINED | Predefined creator workflow type is for entity created by the system. | | SERVICEDEFINED | Service defined creator workflow type is for entity created by the service. | | USERDEFINED | User defined creator workflow type is for entity created by the users. |
    description String
    -(Optional) Description of the User.
    displayName String
    -(Optional) Display name for the User.
    emailId String
    -(Optional) Email Id for the User.
    extId String
    firstName String
    -(Optional) First name for the User.
    idpId String
    -(Optional) Identifier of the IDP for the User.
    isForceResetPasswordEnabled Boolean
    -(Optional) Flag to force the User to reset password.
    lastName String
    -(Optional) Last name for the User.
    links List<Property Map>
    locale String
    -(Optional) Default locale for the User.
    middleInitial String
    -(Optional) Middle name for the User.
    password String
    -(Optional) Password of the user.
    region String
    -(Optional) Default Region for the User.
    status String
    -(Optional) Status of the User.
    tenantId String
    userType String
    -(Required) Type of the User.
    username String
    -(Required) Identifier for the User in the form an email address.

    OvaV2CreatedByAdditionalAttribute, OvaV2CreatedByAdditionalAttributeArgs

    Name string
    -(Optional) The URL at which the entity described by the link can be accessed.
    Values List<PiersKarsenbarg.Nutanix.Inputs.OvaV2CreatedByAdditionalAttributeValue>
    -(Optional) A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    Name string
    -(Optional) The URL at which the entity described by the link can be accessed.
    Values []OvaV2CreatedByAdditionalAttributeValue
    -(Optional) A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    name string
    -(Optional) The URL at which the entity described by the link can be accessed.
    values list(object)
    -(Optional) A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    name String
    -(Optional) The URL at which the entity described by the link can be accessed.
    values List<OvaV2CreatedByAdditionalAttributeValue>
    -(Optional) A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    name string
    -(Optional) The URL at which the entity described by the link can be accessed.
    values OvaV2CreatedByAdditionalAttributeValue[]
    -(Optional) A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    name str
    -(Optional) The URL at which the entity described by the link can be accessed.
    values Sequence[OvaV2CreatedByAdditionalAttributeValue]
    -(Optional) A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    name String
    -(Optional) The URL at which the entity described by the link can be accessed.
    values List<Property Map>
    -(Optional) A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.

    OvaV2CreatedByAdditionalAttributeValue, OvaV2CreatedByAdditionalAttributeValueArgs

    boolean bool
    integer number
    integer_lists list(number)
    map_of_strings list(object)
    object map(string)
    string string
    string_lists list(string)
    boolean Boolean
    integer Number
    integerLists List<Number>
    mapOfStrings List<Property Map>
    object Map<String>
    string String
    stringLists List<String>

    OvaV2CreatedByAdditionalAttributeValueMapOfString, OvaV2CreatedByAdditionalAttributeValueMapOfStringArgs

    Map Dictionary<string, string>
    Map map[string]string
    map map(string)
    map Map<String,String>
    map {[key: string]: string}
    map Mapping[str, str]
    map Map<String>
    Href string
    Rel string
    Href string
    Rel string
    href string
    rel string
    href String
    rel String
    href string
    rel string
    href str
    rel str
    href String
    rel String
    Href string
    Rel string
    Href string
    Rel string
    href string
    rel string
    href String
    rel String
    href string
    rel string
    href str
    rel str
    href String
    rel String

    OvaV2Source, OvaV2SourceArgs

    ObjectLiteSources List<PiersKarsenbarg.Nutanix.Inputs.OvaV2SourceObjectLiteSource>
    -(Optional) The source of the OVA file when it is being created from an object lite upload.
    OvaUrlSources List<PiersKarsenbarg.Nutanix.Inputs.OvaV2SourceOvaUrlSource>
    -(Optional) The source of the OVA file when it is being created from a URL.
    OvaVmSources List<PiersKarsenbarg.Nutanix.Inputs.OvaV2SourceOvaVmSource>
    -(Optional) The source of the OVA file when it is being created from a VM.
    ObjectLiteSources []OvaV2SourceObjectLiteSource
    -(Optional) The source of the OVA file when it is being created from an object lite upload.
    OvaUrlSources []OvaV2SourceOvaUrlSource
    -(Optional) The source of the OVA file when it is being created from a URL.
    OvaVmSources []OvaV2SourceOvaVmSource
    -(Optional) The source of the OVA file when it is being created from a VM.
    object_lite_sources list(object)
    -(Optional) The source of the OVA file when it is being created from an object lite upload.
    ova_url_sources list(object)
    -(Optional) The source of the OVA file when it is being created from a URL.
    ova_vm_sources list(object)
    -(Optional) The source of the OVA file when it is being created from a VM.
    objectLiteSources List<OvaV2SourceObjectLiteSource>
    -(Optional) The source of the OVA file when it is being created from an object lite upload.
    ovaUrlSources List<OvaV2SourceOvaUrlSource>
    -(Optional) The source of the OVA file when it is being created from a URL.
    ovaVmSources List<OvaV2SourceOvaVmSource>
    -(Optional) The source of the OVA file when it is being created from a VM.
    objectLiteSources OvaV2SourceObjectLiteSource[]
    -(Optional) The source of the OVA file when it is being created from an object lite upload.
    ovaUrlSources OvaV2SourceOvaUrlSource[]
    -(Optional) The source of the OVA file when it is being created from a URL.
    ovaVmSources OvaV2SourceOvaVmSource[]
    -(Optional) The source of the OVA file when it is being created from a VM.
    object_lite_sources Sequence[OvaV2SourceObjectLiteSource]
    -(Optional) The source of the OVA file when it is being created from an object lite upload.
    ova_url_sources Sequence[OvaV2SourceOvaUrlSource]
    -(Optional) The source of the OVA file when it is being created from a URL.
    ova_vm_sources Sequence[OvaV2SourceOvaVmSource]
    -(Optional) The source of the OVA file when it is being created from a VM.
    objectLiteSources List<Property Map>
    -(Optional) The source of the OVA file when it is being created from an object lite upload.
    ovaUrlSources List<Property Map>
    -(Optional) The source of the OVA file when it is being created from a URL.
    ovaVmSources List<Property Map>
    -(Optional) The source of the OVA file when it is being created from a VM.

    OvaV2SourceObjectLiteSource, OvaV2SourceObjectLiteSourceArgs

    Key string
    -(Required) The identifier of the object from which the OVA file is being created.
    Key string
    -(Required) The identifier of the object from which the OVA file is being created.
    key string
    -(Required) The identifier of the object from which the OVA file is being created.
    key String
    -(Required) The identifier of the object from which the OVA file is being created.
    key string
    -(Required) The identifier of the object from which the OVA file is being created.
    key str
    -(Required) The identifier of the object from which the OVA file is being created.
    key String
    -(Required) The identifier of the object from which the OVA file is being created.

    OvaV2SourceOvaUrlSource, OvaV2SourceOvaUrlSourceArgs

    Url string
    -(Required) The URL from which the OVA file can be downloaded.
    BasicAuths List<PiersKarsenbarg.Nutanix.Inputs.OvaV2SourceOvaUrlSourceBasicAuth>
    -(Optional) Basic authentication credentials for accessing the OVA file.
    ShouldAllowInsecureUrl bool
    -(Optional) Flag to allow insecure URLs.
    Url string
    -(Required) The URL from which the OVA file can be downloaded.
    BasicAuths []OvaV2SourceOvaUrlSourceBasicAuth
    -(Optional) Basic authentication credentials for accessing the OVA file.
    ShouldAllowInsecureUrl bool
    -(Optional) Flag to allow insecure URLs.
    url string
    -(Required) The URL from which the OVA file can be downloaded.
    basic_auths list(object)
    -(Optional) Basic authentication credentials for accessing the OVA file.
    should_allow_insecure_url bool
    -(Optional) Flag to allow insecure URLs.
    url String
    -(Required) The URL from which the OVA file can be downloaded.
    basicAuths List<OvaV2SourceOvaUrlSourceBasicAuth>
    -(Optional) Basic authentication credentials for accessing the OVA file.
    shouldAllowInsecureUrl Boolean
    -(Optional) Flag to allow insecure URLs.
    url string
    -(Required) The URL from which the OVA file can be downloaded.
    basicAuths OvaV2SourceOvaUrlSourceBasicAuth[]
    -(Optional) Basic authentication credentials for accessing the OVA file.
    shouldAllowInsecureUrl boolean
    -(Optional) Flag to allow insecure URLs.
    url str
    -(Required) The URL from which the OVA file can be downloaded.
    basic_auths Sequence[OvaV2SourceOvaUrlSourceBasicAuth]
    -(Optional) Basic authentication credentials for accessing the OVA file.
    should_allow_insecure_url bool
    -(Optional) Flag to allow insecure URLs.
    url String
    -(Required) The URL from which the OVA file can be downloaded.
    basicAuths List<Property Map>
    -(Optional) Basic authentication credentials for accessing the OVA file.
    shouldAllowInsecureUrl Boolean
    -(Optional) Flag to allow insecure URLs.

    OvaV2SourceOvaUrlSourceBasicAuth, OvaV2SourceOvaUrlSourceBasicAuthArgs

    Password string
    -(Required) The password for basic authentication.
    Username string
    -(Required) The username for basic authentication.
    Password string
    -(Required) The password for basic authentication.
    Username string
    -(Required) The username for basic authentication.
    password string
    -(Required) The password for basic authentication.
    username string
    -(Required) The username for basic authentication.
    password String
    -(Required) The password for basic authentication.
    username String
    -(Required) The username for basic authentication.
    password string
    -(Required) The password for basic authentication.
    username string
    -(Required) The username for basic authentication.
    password str
    -(Required) The password for basic authentication.
    username str
    -(Required) The username for basic authentication.
    password String
    -(Required) The password for basic authentication.
    username String
    -(Required) The username for basic authentication.

    OvaV2SourceOvaVmSource, OvaV2SourceOvaVmSourceArgs

    DiskFileFormat string
    -(Required) The disk file format of the VM.
    VmExtId string
    -(Required) The external identifier of the VM from which the OVA file is being created.
    DiskFileFormat string
    -(Required) The disk file format of the VM.
    VmExtId string
    -(Required) The external identifier of the VM from which the OVA file is being created.
    disk_file_format string
    -(Required) The disk file format of the VM.
    vm_ext_id string
    -(Required) The external identifier of the VM from which the OVA file is being created.
    diskFileFormat String
    -(Required) The disk file format of the VM.
    vmExtId String
    -(Required) The external identifier of the VM from which the OVA file is being created.
    diskFileFormat string
    -(Required) The disk file format of the VM.
    vmExtId string
    -(Required) The external identifier of the VM from which the OVA file is being created.
    disk_file_format str
    -(Required) The disk file format of the VM.
    vm_ext_id str
    -(Required) The external identifier of the VM from which the OVA file is being created.
    diskFileFormat String
    -(Required) The disk file format of the VM.
    vmExtId String
    -(Required) The external identifier of the VM from which the OVA file is being created.

    OvaV2VmConfig, OvaV2VmConfigArgs

    ApcConfigs List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigApcConfig>
    -(Optional) Advanced Processor Compatibility configuration for the VM. Enabling this retains the CPU model for the VM across power cycles and migrations.
    AvailabilityZones List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigAvailabilityZone>
    -(Optional) Reference to an availability zone.
    BiosUuid string
    -(Optional) BIOS UUID of the VM. It should be of type UUID.
    BootConfigs List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigBootConfig>
    -(Optional) Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order.
    Categories List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigCategory>
    -(Optional) Categories for the VM.
    CdRoms List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigCdRom>
    -(Optional) CD-ROMs attached to the VM.
    Clusters List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigCluster>
    -(Optional) Reference to a cluster.
    CreateTime string
    -(Optional) VM creation time
    Description string
    -(Optional) VM description
    Disks List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigDisk>
    -(Optional) Disks attached to the VM.
    EnabledCpuFeatures List<string>
    -(Optional) The list of additional CPU features to be enabled. HardwareVirtualization: Indicates whether hardware assisted virtualization should be enabled for the Guest OS or not. Once enabled, the Guest OS can deploy a nested hypervisor
    ExtId string
    GenerationUuid string
    -(Optional) Generation UUID of the VM. It should be of type UUID.
    Gpuses List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigGpus>
    -(Optional) GPUs attached to the VM.
    GuestCustomizations List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigGuestCustomization>
    -(Optional) Stage a Sysprep or cloud-init configuration file to be used by the guest for the next boot. Note that the Sysprep command must be used to generalize the Windows VMs before triggering this API call.
    GuestTools List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigGuestTool>
    -(Optional) The details about Nutanix Guest Tools for a VM.
    HardwareClockTimezone string
    -(Optional) VM hardware clock timezone in IANA TZDB format (America/Los_Angeles).
    Hosts List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigHost>
    -(Optional) Reference to the host, the VM is running on.
    IsAgentVm bool
    -(Optional) Indicates whether the VM is an agent VM or not. When their host enters maintenance mode, once the normal VMs are evacuated, the agent VMs are powered off. When the host is restored, agent VMs are powered on before the normal VMs are restored. In other words, agent VMs cannot be HA-protected or live migrated.
    IsBrandingEnabled bool
    -(Optional) Indicates whether to remove AHV branding from VM firmware tables or not.
    IsCpuHotplugEnabled bool
    -(Optional) Indicates whether the VM CPU hotplug is enabled.
    IsCpuPassthroughEnabled bool
    -(Optional) Indicates whether to passthrough the host CPU features to the guest or not. Enabling this will make VM incapable of live migration.
    IsGpuConsoleEnabled bool
    -(Optional) Indicates whether the vGPU console is enabled or not.
    IsMemoryOvercommitEnabled bool
    -(Optional) Indicates whether the memory overcommit feature should be enabled for the VM or not. If enabled, parts of the VM memory may reside outside of the hypervisor physical memory. Once enabled, it should be expected that the VM may suffer performance degradation.
    IsScsiControllerEnabled bool
    -(Optional) Indicates whether the VM SCSI controller is enabled.
    IsVcpuHardPinningEnabled bool
    -(Optional) Indicates whether the vCPUs should be hard pinned to specific pCPUs or not.
    IsVgaConsoleEnabled bool
    -(Optional) Indicates whether the VGA console should be disabled or not.
    MachineType string
    -(Optional) Machine type for the VM. Machine type Q35 is required for secure boot and does not support IDE disks.
    MemorySizeBytes int
    -(Optional) Memory size in bytes.
    Name string
    -(Optional) VM name.
    Nics List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigNic>
    -(Optional) NICs attached to the VM.
    NumCoresPerSocket int
    -(Optional) Number of cores per socket.
    NumNumaNodes int
    -(Optional) Number of NUMA nodes. 0 means NUMA is disabled.
    NumSockets int
    -(Optional) Number of vCPU sockets.
    NumThreadsPerCore int
    -(Optional) Number of threads per core
    OwnershipInfos List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigOwnershipInfo>
    -(Optional) Ownership information for the VM.
    PowerState string
    Projects List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigProject>
    -(Optional) Reference to a project.
    ProtectionPolicyStates List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigProtectionPolicyState>
    -(Optional) Status of protection policy applied to this VM.
    ProtectionType string
    -(Optional) The type of protection applied on a VM. PD_PROTECTED indicates a VM is protected using the Prism Element. RULE_PROTECTED indicates a VM protection using the Prism Central.
    SerialPorts List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigSerialPort>
    -(Optional) Serial ports configured on the VM.
    Sources List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigSource>
    -(Optional) Reference to an entity that the VM should be cloned or created from
    StorageConfigs List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigStorageConfig>
    -(Optional) Storage configuration for VM.
    UpdateTime string
    -(Optional) VM last updated time.
    VtpmConfigs List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigVtpmConfig>
    -(Optional) Indicates how the vTPM for the VM should be configured.
    ApcConfigs []OvaV2VmConfigApcConfig
    -(Optional) Advanced Processor Compatibility configuration for the VM. Enabling this retains the CPU model for the VM across power cycles and migrations.
    AvailabilityZones []OvaV2VmConfigAvailabilityZone
    -(Optional) Reference to an availability zone.
    BiosUuid string
    -(Optional) BIOS UUID of the VM. It should be of type UUID.
    BootConfigs []OvaV2VmConfigBootConfig
    -(Optional) Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order.
    Categories []OvaV2VmConfigCategory
    -(Optional) Categories for the VM.
    CdRoms []OvaV2VmConfigCdRom
    -(Optional) CD-ROMs attached to the VM.
    Clusters []OvaV2VmConfigCluster
    -(Optional) Reference to a cluster.
    CreateTime string
    -(Optional) VM creation time
    Description string
    -(Optional) VM description
    Disks []OvaV2VmConfigDisk
    -(Optional) Disks attached to the VM.
    EnabledCpuFeatures []string
    -(Optional) The list of additional CPU features to be enabled. HardwareVirtualization: Indicates whether hardware assisted virtualization should be enabled for the Guest OS or not. Once enabled, the Guest OS can deploy a nested hypervisor
    ExtId string
    GenerationUuid string
    -(Optional) Generation UUID of the VM. It should be of type UUID.
    Gpuses []OvaV2VmConfigGpus
    -(Optional) GPUs attached to the VM.
    GuestCustomizations []OvaV2VmConfigGuestCustomization
    -(Optional) Stage a Sysprep or cloud-init configuration file to be used by the guest for the next boot. Note that the Sysprep command must be used to generalize the Windows VMs before triggering this API call.
    GuestTools []OvaV2VmConfigGuestTool
    -(Optional) The details about Nutanix Guest Tools for a VM.
    HardwareClockTimezone string
    -(Optional) VM hardware clock timezone in IANA TZDB format (America/Los_Angeles).
    Hosts []OvaV2VmConfigHost
    -(Optional) Reference to the host, the VM is running on.
    IsAgentVm bool
    -(Optional) Indicates whether the VM is an agent VM or not. When their host enters maintenance mode, once the normal VMs are evacuated, the agent VMs are powered off. When the host is restored, agent VMs are powered on before the normal VMs are restored. In other words, agent VMs cannot be HA-protected or live migrated.
    IsBrandingEnabled bool
    -(Optional) Indicates whether to remove AHV branding from VM firmware tables or not.
    IsCpuHotplugEnabled bool
    -(Optional) Indicates whether the VM CPU hotplug is enabled.
    IsCpuPassthroughEnabled bool
    -(Optional) Indicates whether to passthrough the host CPU features to the guest or not. Enabling this will make VM incapable of live migration.
    IsGpuConsoleEnabled bool
    -(Optional) Indicates whether the vGPU console is enabled or not.
    IsMemoryOvercommitEnabled bool
    -(Optional) Indicates whether the memory overcommit feature should be enabled for the VM or not. If enabled, parts of the VM memory may reside outside of the hypervisor physical memory. Once enabled, it should be expected that the VM may suffer performance degradation.
    IsScsiControllerEnabled bool
    -(Optional) Indicates whether the VM SCSI controller is enabled.
    IsVcpuHardPinningEnabled bool
    -(Optional) Indicates whether the vCPUs should be hard pinned to specific pCPUs or not.
    IsVgaConsoleEnabled bool
    -(Optional) Indicates whether the VGA console should be disabled or not.
    MachineType string
    -(Optional) Machine type for the VM. Machine type Q35 is required for secure boot and does not support IDE disks.
    MemorySizeBytes int
    -(Optional) Memory size in bytes.
    Name string
    -(Optional) VM name.
    Nics []OvaV2VmConfigNic
    -(Optional) NICs attached to the VM.
    NumCoresPerSocket int
    -(Optional) Number of cores per socket.
    NumNumaNodes int
    -(Optional) Number of NUMA nodes. 0 means NUMA is disabled.
    NumSockets int
    -(Optional) Number of vCPU sockets.
    NumThreadsPerCore int
    -(Optional) Number of threads per core
    OwnershipInfos []OvaV2VmConfigOwnershipInfo
    -(Optional) Ownership information for the VM.
    PowerState string
    Projects []OvaV2VmConfigProject
    -(Optional) Reference to a project.
    ProtectionPolicyStates []OvaV2VmConfigProtectionPolicyState
    -(Optional) Status of protection policy applied to this VM.
    ProtectionType string
    -(Optional) The type of protection applied on a VM. PD_PROTECTED indicates a VM is protected using the Prism Element. RULE_PROTECTED indicates a VM protection using the Prism Central.
    SerialPorts []OvaV2VmConfigSerialPort
    -(Optional) Serial ports configured on the VM.
    Sources []OvaV2VmConfigSource
    -(Optional) Reference to an entity that the VM should be cloned or created from
    StorageConfigs []OvaV2VmConfigStorageConfig
    -(Optional) Storage configuration for VM.
    UpdateTime string
    -(Optional) VM last updated time.
    VtpmConfigs []OvaV2VmConfigVtpmConfig
    -(Optional) Indicates how the vTPM for the VM should be configured.
    apc_configs list(object)
    -(Optional) Advanced Processor Compatibility configuration for the VM. Enabling this retains the CPU model for the VM across power cycles and migrations.
    availability_zones list(object)
    -(Optional) Reference to an availability zone.
    bios_uuid string
    -(Optional) BIOS UUID of the VM. It should be of type UUID.
    boot_configs list(object)
    -(Optional) Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order.
    categories list(object)
    -(Optional) Categories for the VM.
    cd_roms list(object)
    -(Optional) CD-ROMs attached to the VM.
    clusters list(object)
    -(Optional) Reference to a cluster.
    create_time string
    -(Optional) VM creation time
    description string
    -(Optional) VM description
    disks list(object)
    -(Optional) Disks attached to the VM.
    enabled_cpu_features list(string)
    -(Optional) The list of additional CPU features to be enabled. HardwareVirtualization: Indicates whether hardware assisted virtualization should be enabled for the Guest OS or not. Once enabled, the Guest OS can deploy a nested hypervisor
    ext_id string
    generation_uuid string
    -(Optional) Generation UUID of the VM. It should be of type UUID.
    gpuses list(object)
    -(Optional) GPUs attached to the VM.
    guest_customizations list(object)
    -(Optional) Stage a Sysprep or cloud-init configuration file to be used by the guest for the next boot. Note that the Sysprep command must be used to generalize the Windows VMs before triggering this API call.
    guest_tools list(object)
    -(Optional) The details about Nutanix Guest Tools for a VM.
    hardware_clock_timezone string
    -(Optional) VM hardware clock timezone in IANA TZDB format (America/Los_Angeles).
    hosts list(object)
    -(Optional) Reference to the host, the VM is running on.
    is_agent_vm bool
    -(Optional) Indicates whether the VM is an agent VM or not. When their host enters maintenance mode, once the normal VMs are evacuated, the agent VMs are powered off. When the host is restored, agent VMs are powered on before the normal VMs are restored. In other words, agent VMs cannot be HA-protected or live migrated.
    is_branding_enabled bool
    -(Optional) Indicates whether to remove AHV branding from VM firmware tables or not.
    is_cpu_hotplug_enabled bool
    -(Optional) Indicates whether the VM CPU hotplug is enabled.
    is_cpu_passthrough_enabled bool
    -(Optional) Indicates whether to passthrough the host CPU features to the guest or not. Enabling this will make VM incapable of live migration.
    is_gpu_console_enabled bool
    -(Optional) Indicates whether the vGPU console is enabled or not.
    is_memory_overcommit_enabled bool
    -(Optional) Indicates whether the memory overcommit feature should be enabled for the VM or not. If enabled, parts of the VM memory may reside outside of the hypervisor physical memory. Once enabled, it should be expected that the VM may suffer performance degradation.
    is_scsi_controller_enabled bool
    -(Optional) Indicates whether the VM SCSI controller is enabled.
    is_vcpu_hard_pinning_enabled bool
    -(Optional) Indicates whether the vCPUs should be hard pinned to specific pCPUs or not.
    is_vga_console_enabled bool
    -(Optional) Indicates whether the VGA console should be disabled or not.
    machine_type string
    -(Optional) Machine type for the VM. Machine type Q35 is required for secure boot and does not support IDE disks.
    memory_size_bytes number
    -(Optional) Memory size in bytes.
    name string
    -(Optional) VM name.
    nics list(object)
    -(Optional) NICs attached to the VM.
    num_cores_per_socket number
    -(Optional) Number of cores per socket.
    num_numa_nodes number
    -(Optional) Number of NUMA nodes. 0 means NUMA is disabled.
    num_sockets number
    -(Optional) Number of vCPU sockets.
    num_threads_per_core number
    -(Optional) Number of threads per core
    ownership_infos list(object)
    -(Optional) Ownership information for the VM.
    power_state string
    projects list(object)
    -(Optional) Reference to a project.
    protection_policy_states list(object)
    -(Optional) Status of protection policy applied to this VM.
    protection_type string
    -(Optional) The type of protection applied on a VM. PD_PROTECTED indicates a VM is protected using the Prism Element. RULE_PROTECTED indicates a VM protection using the Prism Central.
    serial_ports list(object)
    -(Optional) Serial ports configured on the VM.
    sources list(object)
    -(Optional) Reference to an entity that the VM should be cloned or created from
    storage_configs list(object)
    -(Optional) Storage configuration for VM.
    update_time string
    -(Optional) VM last updated time.
    vtpm_configs list(object)
    -(Optional) Indicates how the vTPM for the VM should be configured.
    apcConfigs List<OvaV2VmConfigApcConfig>
    -(Optional) Advanced Processor Compatibility configuration for the VM. Enabling this retains the CPU model for the VM across power cycles and migrations.
    availabilityZones List<OvaV2VmConfigAvailabilityZone>
    -(Optional) Reference to an availability zone.
    biosUuid String
    -(Optional) BIOS UUID of the VM. It should be of type UUID.
    bootConfigs List<OvaV2VmConfigBootConfig>
    -(Optional) Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order.
    categories List<OvaV2VmConfigCategory>
    -(Optional) Categories for the VM.
    cdRoms List<OvaV2VmConfigCdRom>
    -(Optional) CD-ROMs attached to the VM.
    clusters List<OvaV2VmConfigCluster>
    -(Optional) Reference to a cluster.
    createTime String
    -(Optional) VM creation time
    description String
    -(Optional) VM description
    disks List<OvaV2VmConfigDisk>
    -(Optional) Disks attached to the VM.
    enabledCpuFeatures List<String>
    -(Optional) The list of additional CPU features to be enabled. HardwareVirtualization: Indicates whether hardware assisted virtualization should be enabled for the Guest OS or not. Once enabled, the Guest OS can deploy a nested hypervisor
    extId String
    generationUuid String
    -(Optional) Generation UUID of the VM. It should be of type UUID.
    gpuses List<OvaV2VmConfigGpus>
    -(Optional) GPUs attached to the VM.
    guestCustomizations List<OvaV2VmConfigGuestCustomization>
    -(Optional) Stage a Sysprep or cloud-init configuration file to be used by the guest for the next boot. Note that the Sysprep command must be used to generalize the Windows VMs before triggering this API call.
    guestTools List<OvaV2VmConfigGuestTool>
    -(Optional) The details about Nutanix Guest Tools for a VM.
    hardwareClockTimezone String
    -(Optional) VM hardware clock timezone in IANA TZDB format (America/Los_Angeles).
    hosts List<OvaV2VmConfigHost>
    -(Optional) Reference to the host, the VM is running on.
    isAgentVm Boolean
    -(Optional) Indicates whether the VM is an agent VM or not. When their host enters maintenance mode, once the normal VMs are evacuated, the agent VMs are powered off. When the host is restored, agent VMs are powered on before the normal VMs are restored. In other words, agent VMs cannot be HA-protected or live migrated.
    isBrandingEnabled Boolean
    -(Optional) Indicates whether to remove AHV branding from VM firmware tables or not.
    isCpuHotplugEnabled Boolean
    -(Optional) Indicates whether the VM CPU hotplug is enabled.
    isCpuPassthroughEnabled Boolean
    -(Optional) Indicates whether to passthrough the host CPU features to the guest or not. Enabling this will make VM incapable of live migration.
    isGpuConsoleEnabled Boolean
    -(Optional) Indicates whether the vGPU console is enabled or not.
    isMemoryOvercommitEnabled Boolean
    -(Optional) Indicates whether the memory overcommit feature should be enabled for the VM or not. If enabled, parts of the VM memory may reside outside of the hypervisor physical memory. Once enabled, it should be expected that the VM may suffer performance degradation.
    isScsiControllerEnabled Boolean
    -(Optional) Indicates whether the VM SCSI controller is enabled.
    isVcpuHardPinningEnabled Boolean
    -(Optional) Indicates whether the vCPUs should be hard pinned to specific pCPUs or not.
    isVgaConsoleEnabled Boolean
    -(Optional) Indicates whether the VGA console should be disabled or not.
    machineType String
    -(Optional) Machine type for the VM. Machine type Q35 is required for secure boot and does not support IDE disks.
    memorySizeBytes Integer
    -(Optional) Memory size in bytes.
    name String
    -(Optional) VM name.
    nics List<OvaV2VmConfigNic>
    -(Optional) NICs attached to the VM.
    numCoresPerSocket Integer
    -(Optional) Number of cores per socket.
    numNumaNodes Integer
    -(Optional) Number of NUMA nodes. 0 means NUMA is disabled.
    numSockets Integer
    -(Optional) Number of vCPU sockets.
    numThreadsPerCore Integer
    -(Optional) Number of threads per core
    ownershipInfos List<OvaV2VmConfigOwnershipInfo>
    -(Optional) Ownership information for the VM.
    powerState String
    projects List<OvaV2VmConfigProject>
    -(Optional) Reference to a project.
    protectionPolicyStates List<OvaV2VmConfigProtectionPolicyState>
    -(Optional) Status of protection policy applied to this VM.
    protectionType String
    -(Optional) The type of protection applied on a VM. PD_PROTECTED indicates a VM is protected using the Prism Element. RULE_PROTECTED indicates a VM protection using the Prism Central.
    serialPorts List<OvaV2VmConfigSerialPort>
    -(Optional) Serial ports configured on the VM.
    sources List<OvaV2VmConfigSource>
    -(Optional) Reference to an entity that the VM should be cloned or created from
    storageConfigs List<OvaV2VmConfigStorageConfig>
    -(Optional) Storage configuration for VM.
    updateTime String
    -(Optional) VM last updated time.
    vtpmConfigs List<OvaV2VmConfigVtpmConfig>
    -(Optional) Indicates how the vTPM for the VM should be configured.
    apcConfigs OvaV2VmConfigApcConfig[]
    -(Optional) Advanced Processor Compatibility configuration for the VM. Enabling this retains the CPU model for the VM across power cycles and migrations.
    availabilityZones OvaV2VmConfigAvailabilityZone[]
    -(Optional) Reference to an availability zone.
    biosUuid string
    -(Optional) BIOS UUID of the VM. It should be of type UUID.
    bootConfigs OvaV2VmConfigBootConfig[]
    -(Optional) Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order.
    categories OvaV2VmConfigCategory[]
    -(Optional) Categories for the VM.
    cdRoms OvaV2VmConfigCdRom[]
    -(Optional) CD-ROMs attached to the VM.
    clusters OvaV2VmConfigCluster[]
    -(Optional) Reference to a cluster.
    createTime string
    -(Optional) VM creation time
    description string
    -(Optional) VM description
    disks OvaV2VmConfigDisk[]
    -(Optional) Disks attached to the VM.
    enabledCpuFeatures string[]
    -(Optional) The list of additional CPU features to be enabled. HardwareVirtualization: Indicates whether hardware assisted virtualization should be enabled for the Guest OS or not. Once enabled, the Guest OS can deploy a nested hypervisor
    extId string
    generationUuid string
    -(Optional) Generation UUID of the VM. It should be of type UUID.
    gpuses OvaV2VmConfigGpus[]
    -(Optional) GPUs attached to the VM.
    guestCustomizations OvaV2VmConfigGuestCustomization[]
    -(Optional) Stage a Sysprep or cloud-init configuration file to be used by the guest for the next boot. Note that the Sysprep command must be used to generalize the Windows VMs before triggering this API call.
    guestTools OvaV2VmConfigGuestTool[]
    -(Optional) The details about Nutanix Guest Tools for a VM.
    hardwareClockTimezone string
    -(Optional) VM hardware clock timezone in IANA TZDB format (America/Los_Angeles).
    hosts OvaV2VmConfigHost[]
    -(Optional) Reference to the host, the VM is running on.
    isAgentVm boolean
    -(Optional) Indicates whether the VM is an agent VM or not. When their host enters maintenance mode, once the normal VMs are evacuated, the agent VMs are powered off. When the host is restored, agent VMs are powered on before the normal VMs are restored. In other words, agent VMs cannot be HA-protected or live migrated.
    isBrandingEnabled boolean
    -(Optional) Indicates whether to remove AHV branding from VM firmware tables or not.
    isCpuHotplugEnabled boolean
    -(Optional) Indicates whether the VM CPU hotplug is enabled.
    isCpuPassthroughEnabled boolean
    -(Optional) Indicates whether to passthrough the host CPU features to the guest or not. Enabling this will make VM incapable of live migration.
    isGpuConsoleEnabled boolean
    -(Optional) Indicates whether the vGPU console is enabled or not.
    isMemoryOvercommitEnabled boolean
    -(Optional) Indicates whether the memory overcommit feature should be enabled for the VM or not. If enabled, parts of the VM memory may reside outside of the hypervisor physical memory. Once enabled, it should be expected that the VM may suffer performance degradation.
    isScsiControllerEnabled boolean
    -(Optional) Indicates whether the VM SCSI controller is enabled.
    isVcpuHardPinningEnabled boolean
    -(Optional) Indicates whether the vCPUs should be hard pinned to specific pCPUs or not.
    isVgaConsoleEnabled boolean
    -(Optional) Indicates whether the VGA console should be disabled or not.
    machineType string
    -(Optional) Machine type for the VM. Machine type Q35 is required for secure boot and does not support IDE disks.
    memorySizeBytes number
    -(Optional) Memory size in bytes.
    name string
    -(Optional) VM name.
    nics OvaV2VmConfigNic[]
    -(Optional) NICs attached to the VM.
    numCoresPerSocket number
    -(Optional) Number of cores per socket.
    numNumaNodes number
    -(Optional) Number of NUMA nodes. 0 means NUMA is disabled.
    numSockets number
    -(Optional) Number of vCPU sockets.
    numThreadsPerCore number
    -(Optional) Number of threads per core
    ownershipInfos OvaV2VmConfigOwnershipInfo[]
    -(Optional) Ownership information for the VM.
    powerState string
    projects OvaV2VmConfigProject[]
    -(Optional) Reference to a project.
    protectionPolicyStates OvaV2VmConfigProtectionPolicyState[]
    -(Optional) Status of protection policy applied to this VM.
    protectionType string
    -(Optional) The type of protection applied on a VM. PD_PROTECTED indicates a VM is protected using the Prism Element. RULE_PROTECTED indicates a VM protection using the Prism Central.
    serialPorts OvaV2VmConfigSerialPort[]
    -(Optional) Serial ports configured on the VM.
    sources OvaV2VmConfigSource[]
    -(Optional) Reference to an entity that the VM should be cloned or created from
    storageConfigs OvaV2VmConfigStorageConfig[]
    -(Optional) Storage configuration for VM.
    updateTime string
    -(Optional) VM last updated time.
    vtpmConfigs OvaV2VmConfigVtpmConfig[]
    -(Optional) Indicates how the vTPM for the VM should be configured.
    apc_configs Sequence[OvaV2VmConfigApcConfig]
    -(Optional) Advanced Processor Compatibility configuration for the VM. Enabling this retains the CPU model for the VM across power cycles and migrations.
    availability_zones Sequence[OvaV2VmConfigAvailabilityZone]
    -(Optional) Reference to an availability zone.
    bios_uuid str
    -(Optional) BIOS UUID of the VM. It should be of type UUID.
    boot_configs Sequence[OvaV2VmConfigBootConfig]
    -(Optional) Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order.
    categories Sequence[OvaV2VmConfigCategory]
    -(Optional) Categories for the VM.
    cd_roms Sequence[OvaV2VmConfigCdRom]
    -(Optional) CD-ROMs attached to the VM.
    clusters Sequence[OvaV2VmConfigCluster]
    -(Optional) Reference to a cluster.
    create_time str
    -(Optional) VM creation time
    description str
    -(Optional) VM description
    disks Sequence[OvaV2VmConfigDisk]
    -(Optional) Disks attached to the VM.
    enabled_cpu_features Sequence[str]
    -(Optional) The list of additional CPU features to be enabled. HardwareVirtualization: Indicates whether hardware assisted virtualization should be enabled for the Guest OS or not. Once enabled, the Guest OS can deploy a nested hypervisor
    ext_id str
    generation_uuid str
    -(Optional) Generation UUID of the VM. It should be of type UUID.
    gpuses Sequence[OvaV2VmConfigGpus]
    -(Optional) GPUs attached to the VM.
    guest_customizations Sequence[OvaV2VmConfigGuestCustomization]
    -(Optional) Stage a Sysprep or cloud-init configuration file to be used by the guest for the next boot. Note that the Sysprep command must be used to generalize the Windows VMs before triggering this API call.
    guest_tools Sequence[OvaV2VmConfigGuestTool]
    -(Optional) The details about Nutanix Guest Tools for a VM.
    hardware_clock_timezone str
    -(Optional) VM hardware clock timezone in IANA TZDB format (America/Los_Angeles).
    hosts Sequence[OvaV2VmConfigHost]
    -(Optional) Reference to the host, the VM is running on.
    is_agent_vm bool
    -(Optional) Indicates whether the VM is an agent VM or not. When their host enters maintenance mode, once the normal VMs are evacuated, the agent VMs are powered off. When the host is restored, agent VMs are powered on before the normal VMs are restored. In other words, agent VMs cannot be HA-protected or live migrated.
    is_branding_enabled bool
    -(Optional) Indicates whether to remove AHV branding from VM firmware tables or not.
    is_cpu_hotplug_enabled bool
    -(Optional) Indicates whether the VM CPU hotplug is enabled.
    is_cpu_passthrough_enabled bool
    -(Optional) Indicates whether to passthrough the host CPU features to the guest or not. Enabling this will make VM incapable of live migration.
    is_gpu_console_enabled bool
    -(Optional) Indicates whether the vGPU console is enabled or not.
    is_memory_overcommit_enabled bool
    -(Optional) Indicates whether the memory overcommit feature should be enabled for the VM or not. If enabled, parts of the VM memory may reside outside of the hypervisor physical memory. Once enabled, it should be expected that the VM may suffer performance degradation.
    is_scsi_controller_enabled bool
    -(Optional) Indicates whether the VM SCSI controller is enabled.
    is_vcpu_hard_pinning_enabled bool
    -(Optional) Indicates whether the vCPUs should be hard pinned to specific pCPUs or not.
    is_vga_console_enabled bool
    -(Optional) Indicates whether the VGA console should be disabled or not.
    machine_type str
    -(Optional) Machine type for the VM. Machine type Q35 is required for secure boot and does not support IDE disks.
    memory_size_bytes int
    -(Optional) Memory size in bytes.
    name str
    -(Optional) VM name.
    nics Sequence[OvaV2VmConfigNic]
    -(Optional) NICs attached to the VM.
    num_cores_per_socket int
    -(Optional) Number of cores per socket.
    num_numa_nodes int
    -(Optional) Number of NUMA nodes. 0 means NUMA is disabled.
    num_sockets int
    -(Optional) Number of vCPU sockets.
    num_threads_per_core int
    -(Optional) Number of threads per core
    ownership_infos Sequence[OvaV2VmConfigOwnershipInfo]
    -(Optional) Ownership information for the VM.
    power_state str
    projects Sequence[OvaV2VmConfigProject]
    -(Optional) Reference to a project.
    protection_policy_states Sequence[OvaV2VmConfigProtectionPolicyState]
    -(Optional) Status of protection policy applied to this VM.
    protection_type str
    -(Optional) The type of protection applied on a VM. PD_PROTECTED indicates a VM is protected using the Prism Element. RULE_PROTECTED indicates a VM protection using the Prism Central.
    serial_ports Sequence[OvaV2VmConfigSerialPort]
    -(Optional) Serial ports configured on the VM.
    sources Sequence[OvaV2VmConfigSource]
    -(Optional) Reference to an entity that the VM should be cloned or created from
    storage_configs Sequence[OvaV2VmConfigStorageConfig]
    -(Optional) Storage configuration for VM.
    update_time str
    -(Optional) VM last updated time.
    vtpm_configs Sequence[OvaV2VmConfigVtpmConfig]
    -(Optional) Indicates how the vTPM for the VM should be configured.
    apcConfigs List<Property Map>
    -(Optional) Advanced Processor Compatibility configuration for the VM. Enabling this retains the CPU model for the VM across power cycles and migrations.
    availabilityZones List<Property Map>
    -(Optional) Reference to an availability zone.
    biosUuid String
    -(Optional) BIOS UUID of the VM. It should be of type UUID.
    bootConfigs List<Property Map>
    -(Optional) Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order.
    categories List<Property Map>
    -(Optional) Categories for the VM.
    cdRoms List<Property Map>
    -(Optional) CD-ROMs attached to the VM.
    clusters List<Property Map>
    -(Optional) Reference to a cluster.
    createTime String
    -(Optional) VM creation time
    description String
    -(Optional) VM description
    disks List<Property Map>
    -(Optional) Disks attached to the VM.
    enabledCpuFeatures List<String>
    -(Optional) The list of additional CPU features to be enabled. HardwareVirtualization: Indicates whether hardware assisted virtualization should be enabled for the Guest OS or not. Once enabled, the Guest OS can deploy a nested hypervisor
    extId String
    generationUuid String
    -(Optional) Generation UUID of the VM. It should be of type UUID.
    gpuses List<Property Map>
    -(Optional) GPUs attached to the VM.
    guestCustomizations List<Property Map>
    -(Optional) Stage a Sysprep or cloud-init configuration file to be used by the guest for the next boot. Note that the Sysprep command must be used to generalize the Windows VMs before triggering this API call.
    guestTools List<Property Map>
    -(Optional) The details about Nutanix Guest Tools for a VM.
    hardwareClockTimezone String
    -(Optional) VM hardware clock timezone in IANA TZDB format (America/Los_Angeles).
    hosts List<Property Map>
    -(Optional) Reference to the host, the VM is running on.
    isAgentVm Boolean
    -(Optional) Indicates whether the VM is an agent VM or not. When their host enters maintenance mode, once the normal VMs are evacuated, the agent VMs are powered off. When the host is restored, agent VMs are powered on before the normal VMs are restored. In other words, agent VMs cannot be HA-protected or live migrated.
    isBrandingEnabled Boolean
    -(Optional) Indicates whether to remove AHV branding from VM firmware tables or not.
    isCpuHotplugEnabled Boolean
    -(Optional) Indicates whether the VM CPU hotplug is enabled.
    isCpuPassthroughEnabled Boolean
    -(Optional) Indicates whether to passthrough the host CPU features to the guest or not. Enabling this will make VM incapable of live migration.
    isGpuConsoleEnabled Boolean
    -(Optional) Indicates whether the vGPU console is enabled or not.
    isMemoryOvercommitEnabled Boolean
    -(Optional) Indicates whether the memory overcommit feature should be enabled for the VM or not. If enabled, parts of the VM memory may reside outside of the hypervisor physical memory. Once enabled, it should be expected that the VM may suffer performance degradation.
    isScsiControllerEnabled Boolean
    -(Optional) Indicates whether the VM SCSI controller is enabled.
    isVcpuHardPinningEnabled Boolean
    -(Optional) Indicates whether the vCPUs should be hard pinned to specific pCPUs or not.
    isVgaConsoleEnabled Boolean
    -(Optional) Indicates whether the VGA console should be disabled or not.
    machineType String
    -(Optional) Machine type for the VM. Machine type Q35 is required for secure boot and does not support IDE disks.
    memorySizeBytes Number
    -(Optional) Memory size in bytes.
    name String
    -(Optional) VM name.
    nics List<Property Map>
    -(Optional) NICs attached to the VM.
    numCoresPerSocket Number
    -(Optional) Number of cores per socket.
    numNumaNodes Number
    -(Optional) Number of NUMA nodes. 0 means NUMA is disabled.
    numSockets Number
    -(Optional) Number of vCPU sockets.
    numThreadsPerCore Number
    -(Optional) Number of threads per core
    ownershipInfos List<Property Map>
    -(Optional) Ownership information for the VM.
    powerState String
    projects List<Property Map>
    -(Optional) Reference to a project.
    protectionPolicyStates List<Property Map>
    -(Optional) Status of protection policy applied to this VM.
    protectionType String
    -(Optional) The type of protection applied on a VM. PD_PROTECTED indicates a VM is protected using the Prism Element. RULE_PROTECTED indicates a VM protection using the Prism Central.
    serialPorts List<Property Map>
    -(Optional) Serial ports configured on the VM.
    sources List<Property Map>
    -(Optional) Reference to an entity that the VM should be cloned or created from
    storageConfigs List<Property Map>
    -(Optional) Storage configuration for VM.
    updateTime String
    -(Optional) VM last updated time.
    vtpmConfigs List<Property Map>
    -(Optional) Indicates how the vTPM for the VM should be configured.

    OvaV2VmConfigApcConfig, OvaV2VmConfigApcConfigArgs

    CpuModels List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigApcConfigCpuModel>
    CPU model associated with the VM if Advanced Processor Compatibility(APC) is enabled. If APC is enabled and no CPU model is explicitly set, a default baseline CPU model is picked by the system. See the APC documentation for more information

    • cpu_model.name: (Required) Name of the CPU model associated with the VM.
    IsApcEnabled bool
    If enabled, the selected CPU model will be retained across live and cold migrations of the VM.
    CpuModels []OvaV2VmConfigApcConfigCpuModel
    CPU model associated with the VM if Advanced Processor Compatibility(APC) is enabled. If APC is enabled and no CPU model is explicitly set, a default baseline CPU model is picked by the system. See the APC documentation for more information

    • cpu_model.name: (Required) Name of the CPU model associated with the VM.
    IsApcEnabled bool
    If enabled, the selected CPU model will be retained across live and cold migrations of the VM.
    cpu_models list(object)
    CPU model associated with the VM if Advanced Processor Compatibility(APC) is enabled. If APC is enabled and no CPU model is explicitly set, a default baseline CPU model is picked by the system. See the APC documentation for more information

    • cpu_model.name: (Required) Name of the CPU model associated with the VM.
    is_apc_enabled bool
    If enabled, the selected CPU model will be retained across live and cold migrations of the VM.
    cpuModels List<OvaV2VmConfigApcConfigCpuModel>
    CPU model associated with the VM if Advanced Processor Compatibility(APC) is enabled. If APC is enabled and no CPU model is explicitly set, a default baseline CPU model is picked by the system. See the APC documentation for more information

    • cpu_model.name: (Required) Name of the CPU model associated with the VM.
    isApcEnabled Boolean
    If enabled, the selected CPU model will be retained across live and cold migrations of the VM.
    cpuModels OvaV2VmConfigApcConfigCpuModel[]
    CPU model associated with the VM if Advanced Processor Compatibility(APC) is enabled. If APC is enabled and no CPU model is explicitly set, a default baseline CPU model is picked by the system. See the APC documentation for more information

    • cpu_model.name: (Required) Name of the CPU model associated with the VM.
    isApcEnabled boolean
    If enabled, the selected CPU model will be retained across live and cold migrations of the VM.
    cpu_models Sequence[OvaV2VmConfigApcConfigCpuModel]
    CPU model associated with the VM if Advanced Processor Compatibility(APC) is enabled. If APC is enabled and no CPU model is explicitly set, a default baseline CPU model is picked by the system. See the APC documentation for more information

    • cpu_model.name: (Required) Name of the CPU model associated with the VM.
    is_apc_enabled bool
    If enabled, the selected CPU model will be retained across live and cold migrations of the VM.
    cpuModels List<Property Map>
    CPU model associated with the VM if Advanced Processor Compatibility(APC) is enabled. If APC is enabled and no CPU model is explicitly set, a default baseline CPU model is picked by the system. See the APC documentation for more information

    • cpu_model.name: (Required) Name of the CPU model associated with the VM.
    isApcEnabled Boolean
    If enabled, the selected CPU model will be retained across live and cold migrations of the VM.

    OvaV2VmConfigApcConfigCpuModel, OvaV2VmConfigApcConfigCpuModelArgs

    ExtId string
    Name string
    -(Required) Name of the OVA.
    ExtId string
    Name string
    -(Required) Name of the OVA.
    ext_id string
    name string
    -(Required) Name of the OVA.
    extId String
    name String
    -(Required) Name of the OVA.
    extId string
    name string
    -(Required) Name of the OVA.
    ext_id str
    name str
    -(Required) Name of the OVA.
    extId String
    name String
    -(Required) Name of the OVA.

    OvaV2VmConfigAvailabilityZone, OvaV2VmConfigAvailabilityZoneArgs

    ExtId string
    -(Optional) The globally unique identifier of an availability zone type UUID.
    ExtId string
    -(Optional) The globally unique identifier of an availability zone type UUID.
    ext_id string
    -(Optional) The globally unique identifier of an availability zone type UUID.
    extId String
    -(Optional) The globally unique identifier of an availability zone type UUID.
    extId string
    -(Optional) The globally unique identifier of an availability zone type UUID.
    ext_id str
    -(Optional) The globally unique identifier of an availability zone type UUID.
    extId String
    -(Optional) The globally unique identifier of an availability zone type UUID.

    OvaV2VmConfigBootConfig, OvaV2VmConfigBootConfigArgs

    legacy_boots list(object)
    LegacyBoot config Object
    uefi_boots list(object)
    UefiBoot config Object
    legacyBoots List<Property Map>
    LegacyBoot config Object
    uefiBoots List<Property Map>
    UefiBoot config Object

    OvaV2VmConfigBootConfigLegacyBoot, OvaV2VmConfigBootConfigLegacyBootArgs

    BootDevices List<PiersKarsenbarg.Nutanix.Inputs.OvaV2VmConfigBootConfigLegacyBootBootDevice>

    Boot Device object

    • boot_device.boot_device_disk: (Optional) Disk address.

    • boot_device.boot_device_disk.disk_address.bus_type: (Required) Bus type for the device

    • boot_device.boot_device_disk.disk_address.index: (Required) Device index on the bus. This field is ignored unless the bus details are specified.

    • boot_device.boot_device_nic: (Optional) Disk Nic address.

    • boot_device.boot_device_nic.mac_address: (Required) mac address

    BootOrders List<string>
    Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order. Valid values are 'CDROM', 'DISK', 'NETWORK'.
    BootDevices []OvaV2VmConfigBootConfigLegacyBootBootDevice

    Boot Device object

    • boot_device.boot_device_disk: (Optional) Disk address.

    • boot_device.boot_device_disk.disk_address.bus_type: (Required) Bus type for the device

    • boot_device.boot_device_disk.disk_address.index: (Required) Device index on the bus. This field is ignored unless the bus details are specified.

    • boot_device.boot_device_nic: (Optional) Disk Nic address.

    • boot_device.boot_device_nic.mac_address: (Required) mac address

    BootOrders []string
    Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order. Valid values are 'CDROM', 'DISK', 'NETWORK'.
    boot_devices list(object)

    Boot Device object

    • boot_device.boot_device_disk: (Optional) Disk address.

    • boot_device.boot_device_disk.disk_address.bus_type: (Required) Bus type for the device

    • boot_device.boot_device_disk.disk_address.index: (Required) Device index on the bus. This field is ignored unless the bus details are specified.

    • boot_device.boot_device_nic: (Optional) Disk Nic address.

    • boot_device.boot_device_nic.mac_address: (Required) mac address

    boot_orders list(string)
    Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order. Valid values are 'CDROM', 'DISK', 'NETWORK'.
    bootDevices List<OvaV2VmConfigBootConfigLegacyBootBootDevice>

    Boot Device object

    • boot_device.boot_device_disk: (Optional) Disk address.

    • boot_device.boot_device_disk.disk_address.bus_type: (Required) Bus type for the device

    • boot_device.boot_device_disk.disk_address.index: (Required) Device index on the bus. This field is ignored unless the bus details are specified.

    • boot_device.boot_device_nic: (Optional) Disk Nic address.

    • boot_device.boot_device_nic.mac_address: (Required) mac address

    bootOrders List<String>
    Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order. Valid values are 'CDROM', 'DISK', 'NETWORK'.
    bootDevices OvaV2VmConfigBootConfigLegacyBootBootDevice[]

    Boot Device object

    • boot_device.boot_device_disk: (Optional) Disk address.

    • boot_device.boot_device_disk.disk_address.bus_type: (Required) Bus type for the device

    • boot_device.boot_device_disk.disk_address.index: (Required) Device index on the bus. This field is ignored unless the bus details are specified.

    • boot_device.boot_device_nic: (Optional) Disk Nic address.

    • boot_device.boot_device_nic.mac_address: (Required) mac address

    bootOrders string[]
    Indicates the order of device types in which the VM should try to boot from. If the boot device order is not provided the system will decide an appropriate boot device order. Valid values are 'CDROM', 'DISK', 'NETWORK'.
    boot_devices Sequence[OvaV2VmConfigBootConfigLegacyBootBootDevice]

    Boot Device object

    • boot_device.boot_device_disk: (Optional) Disk address.

    • boot_device.boot_device_disk.disk_address.bus_type: (Required) Bus type for the device

[...]
